Bug 9606 - chown uircd:uircd /lib/libnss_*
: chown uircd:uircd /lib/libnss_*
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/unreal)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-05-23 16:54 by
Modified: 2006-07-10 13:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-23 16:54:07
На системе, где /var не является отдельным разделом, команда
chown -R uircd.uircd /var/lib/unreal/*
в файле /etc/chroot.d/unreal.conf приводит к тому, что владелец 
файлов /lib/libnss_* становиться uircd
Вообще, зачем ему отдавать все файлы в /var/lib/unreal/?
------- Comment #1 From 2006-05-24 08:48:04 -------
Зерг там же хардлинки.  Хардлинки нужны для того чтобы либы шарились на уровне
ядра.
------- Comment #2 From 2006-05-24 14:55:56 -------
(In reply to comment #1)
> Зерг там же хардлинки.  Хардлинки нужны для того чтобы либы шарились на 
уровне
> ядра.
Вот и шарятся /lib/libnss_* для доступа на запись пользователю uircd
------- Comment #3 From 2006-06-05 06:27:11 -------
btw, если device@ не доберётся, я поправлю висящие на unreal баги после релиза
3.2.5.
------- Comment #4 From 2006-07-08 02:14:12 -------
reassign
------- Comment #5 From 2006-07-08 02:14:42 -------
Fixed in 3.2.5-alt1